bm::agg_run_options< OBvects, OCounts, OSearchMasks > Struct Template Reference
BitMagic Library » bvector<> container » bvector<> algorithms

Aggregation options to control execution Default settings are to support only result bit-vector filters. More...

`#include <bmaggregator.h>`

Inheritance diagram for bm::agg_run_options< OBvects, OCounts, OSearchMasks >:
[legend]

## Static Public Member Functions

static constexpr bool | is_make_results () BMNOEXCEPT
| make result(target) vectors (aggregation search results) (Default: true) when false is used - means we want to only collect statistics (counts) for the targets
static constexpr bool | is_compute_counts () BMNOEXCEPT
| Compute counts for the target vectors, when set to true, population count is computed for each result, results itself can be omitted (make_results flag set to false).
static constexpr bool | is_masks () BMNOEXCEPT
| Support for masking operations (Default: false).

## Detailed Description

template<bool OBvects = bm::agg_produce_result_bvectors, bool OCounts = bm::agg_disable_counts, bool OSearchMasks = bm::agg_disable_search_masks>
struct bm::agg_run_options< OBvects, OCounts, OSearchMasks >

Aggregation options to control execution Default settings are to support only result bit-vector filters.

Examples
  strsvsample07.cpp.

Definition at line 65 of file bmaggregator.h.

## Member Function Documentation

## is_compute_counts()

template<bool OBvects = bm::agg_produce_result_bvectors, bool OCounts = bm::agg_disable_counts, bool OSearchMasks = bm::agg_disable_search_masks>

constexpr bool bm::agg_run_options< OBvects, OCounts, OSearchMasks >::is_compute_counts | ( |  | ) |

inline static constexpr

Compute counts for the target vectors, when set to true, population count is computed for each result, results itself can be omitted (make_results flag set to false).

Definition at line 73 of file bmaggregator.h.

## is_make_results()

template<bool OBvects = bm::agg_produce_result_bvectors, bool OCounts = bm::agg_disable_counts, bool OSearchMasks = bm::agg_disable_search_masks>

constexpr bool bm::agg_run_options< OBvects, OCounts, OSearchMasks >::is_make_results | ( |  | ) |

inline static constexpr

make result(target) vectors (aggregation search results) (Default: true) when false is used - means we want to only collect statistics (counts) for the targets

Definition at line 69 of file bmaggregator.h.

## is_masks()

template<bool OBvects = bm::agg_produce_result_bvectors, bool OCounts = bm::agg_disable_counts, bool OSearchMasks = bm::agg_disable_search_masks>

constexpr bool bm::agg_run_options< OBvects, OCounts, OSearchMasks >::is_masks | ( |  | ) |

inline static constexpr

Support for masking operations (Default: false).

Definition at line 77 of file bmaggregator.h.

The documentation for this struct was generated from the following file:

- bmaggregator.h